/**
 * Promise帮助模块
 * @date 2022-03
 * @author 何华东
 */

/**
 * 延迟执行
 * 
 * 返回一个在指定时间后自动完成的Promise，在使用处await Promise，可以起到延迟后序代码执行的效果
 * @param ms 自动完成Promise的时间(毫秒)
 * @returns 
 */
export function delay(ms?: number): Promise<void> {
    return new Promise(resolve => {
        setTimeout(resolve, ms);
    });
}